Package org.bgerp.action

# Class DemoAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.open.DemoAction
org.bgerp.action.DemoAction

public class DemoAction extends DemoAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DemoAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `entityDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `entityGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `entityList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `entityUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `enumValues(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `formSend(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `tabContentFirst(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `tabContentSecond(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DemoAction

    public DemoAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet)
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `DemoAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:

  - ### enumValues

    public org.apache.struts.action.ActionForward enumValues(DynActionForm form, ConnectionSet conSet)

  - ### tabContentFirst

    public org.apache.struts.action.ActionForward tabContentFirst(DynActionForm form, ConnectionSet conSet)

  - ### tabContentSecond

    public org.apache.struts.action.ActionForward tabContentSecond(DynActionForm form, ConnectionSet conSet)

  - ### formSend

    public org.apache.struts.action.ActionForward formSend(DynActionForm form, ConnectionSet conSet) throws BGIllegalArgumentException
    Throws:
      `BGIllegalArgumentException`

  - ### entityList

    public org.apache.struts.action.ActionForward entityList(DynActionForm form, Connection con) throws SQLException
    Throws:
      `SQLException`

  - ### entityGet

    public org.apache.struts.action.ActionForward entityGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### entityUpdate

    public org.apache.struts.action.ActionForward entityUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### entityDelete

    public org.apache.struts.action.ActionForward entityDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`